## nodm 0.12-1

=== debian/changelog ===
nodm (0.12-1) unstable; urgency=low

  [ Enrico Zini ]
  * Upstream code:
    - Reformat README as markdown.
  * debian/control:
    + Provides x-display-manager.

  [ Mike Gabriel ]
  * Acknowledge previous NMUs and work-in their changes (0.11-1.1, 0.11-1.2
    and 0.11-1.3). Also work through all open bugs with patches and apply them
    if appropriate; see below for details. (Closes: #747077).
  * Upstream code:
    - Bump upstream version to 0.12. Become new co-maintainer of nodm in Debian.
      (Closes: #813210).
    - xsession-child.c: Set PAM_XDISPLAY pam item. (Closes: #713960). Thanks to
      Sjoerd Simons for providing the patch.
    - Makefile.*: Place libraries in LIBS, not LDFLAGS. (LP:#771123). Thanks to
      Ilya Barygin <barygin@gmail.com> for providing the fix in Ubuntu.
    - README.md: Fix miscounting of amount of environment variables. (Closes:
      #746700, #633089). Thanks to Dan Jacobson for pointing this out.
    - Drop .gitignore file. Let's rather provide a working make (dist)clean.
    - Makefile.am: line-wrap variable assignments with file lists.
    - Makefile.am: Add various build cruft files to DISTCLEANFILES.
    - xserver.c: Don't FTBFS when built with -Werror=unused-result. (Closes:
      #638600).
    - Whitespace clean-up at EOL.
    - Add EOL chars for help output of the --nested cmdline option.
      (Closes: #766123).
  * debian/control:
    + Process with wrap-and-sort.
    + Bump Standards: to 3.9.7. Required change: DEP-5 compliant copyright file.
    + Add B-D: autoreconf.
    + Add B-D: automake.
    + Update versioned B-D for debhelper: (>= 9).
    + Add versioned B-D: dpkg-dev (>= 1.16.1.1). Helps us with hardening the
      build of nodm.
    + Use encrypted URLs for Vcs-*: fields.
  * debian/compat:
    + Bump to dh version 9.
  * debian/source/format:
    + Add this file and set it to "1.0" for now.
  * debian/po:
    + Reword debconf question "Start nodm at boot" to "Enable nodm". (Closes:
      #633498).
    + Add Japanese DebConf translation file. Thanks to "victory" for providing
      it. (Closes: #718920).
    + Update debconf translations files after we have added a new configuration
      item.
  * debian/copyright{,.in}:
    + Provide auto-generated draft of a DEP-5 compliant copyright file.
    + Make copyright file DEP-5 compliant.
  * debian/nodm.docs:
    + README is now README.md.
  * debian/nodm.init:
    + Provide LSB description header.
    + Make NODM_OPTIONS configurable via /etc/default/nodm. (Closes: #766124).
  * debian/rules:
    + Correctly evoke ./autogen.sh script at build time.
    + Harden the build of nodm using dpkg's buildflags.mk include.

  [ Sjoerd Simons ]
  * debian/<debconf>:
    + Add support for NOXM_X_TIMEOUT via debconf. (Closes: #704128). Based on
      work by Hector Oron.

  [ Simon McVittie ]
  * debian/control:
    + Add D (nodm): xserver-xorg. (Closes: #689703).
  * debian/rules:
    + Rely on LSB headers for dependency/sequence info. (Closes: #584179).

  [ Emanuele Aina ]
  * debian/control:
    + Drop x11-xserver-utils dependency. (Closes: #680269).
  * debian/nodm.pam:
    + Fix PAM based consolekit integration of sessions. (Closes: #680264).

  [ Niklas Fiekas ]
  * debian/nodm.init:
    + Support "status" argument in nodm init script. (Closes: #753304).

  [ Chris Lamb ]
  * debian/nodm.init:
    + Wait for nodm to exit. (Closes: #638290).
    + Make initscript less chatty. (Closes: #638293).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2016 16:13:22 +0100

nodm (0.11-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "subprocess installed post-installation script returned error exit
    status 10": nodm.config: don't fail if the nodm/xinit debconf value was
    already unregistered. (Closes: #642903)

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Sep 2012 16:47:18 +0200

nodm (0.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - German (Thomas Müller).  Closes: #646630
    - Portuguese (Miguel Figueiredo).  Closes: #646846
    - Dutch; (Jeroen Schot).  Closes: #654371

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2012 07:13:42 +0100

nodm (0.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Danish (Joe Hansen).  Closes: #600741
  * French (Christian Perrier).  Closes: #638432
  * Russian (Yuri Kozlov).  Closes: #639428
  * Swedish (Martin Bagge / brother).  Closes: #640048
  * Czech (Martin Sin).  Closes: #645590
  * Slovak (Slavko).  Closes: #645597
  * Danish (Joe Hansen).  Closes: #645690
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #646185
  * Spanish; (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Omar Campagne).  Closes: #646506

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2011 02:13:08 +0200

nodm (0.11-1) unstable; urgency=low

  * New upstream version
     - do not force "-nolisten tcp". Closes: #635992
  * Do not require $NODM_XINIT to exist in order to start: that env var is now
    ignored. Closes: #634901, #638168
  * Do not require that $NODM_XSESSION points to a valid script now: nodm can
    start without it
  * Removed nodm/xinit form debconf and updated debconf templates

 -- Enrico Zini <enrico@debian.org>  Wed, 17 Aug 2011 13:55:54 +0200

nodm (0.10-1) unstable; urgency=low

  * New upstream version
     - default X start timeout increased to 30 seconds. Closes: #633089
     - X start timeout configurable via NODM_X_TIMEOUT

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Jul 2011 23:35:24 +0200

nodm (0.9-1) unstable; urgency=low

  * Keep a connection to the server open during its whole lifetime, to avoid
    resets. Closes: #633096.

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jul 2011 11:33:58 +0200

nodm (0.8-1) unstable; urgency=low

  [ Marco Amadori ]
  * Update Standards-Version to 3.9.1 (no changes required).

  [ Enrico Zini ]

