=== debian/control ===
Source: nodm
Section: misc
Priority: extra
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
 Enrico Zini <enrico@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1.1),
 autoconf,
 automake,
 help2man,
 libpam0g-dev,
 libx11-dev,
 pkg-config,
 po-debconf,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/cgit/pkg-fso/nodm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fso/nodm.git/

Package: nodm
Architecture: linux-any
Depends:
 x11-common,
 xserver-xorg,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 zhone-session,
Provides:
 x-display-manager,
Description: automatic display manager
 This package prepares the system to automatically start an X session at
 system boot. It is meant for devices like smartphones, but can be used on
 a regular computer as well, if the security implications are acceptable.
