## nodm 0.13

=== debian/changelog ===
nodm (0.13-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - Spanish translation.
      Thanks to Camaleón (Closes: #1026787)
    - Swedish translation.
      Thanks to Martin Bagge / brother (Closes: #1059111)
  * Add debconf template translation
    - Romanian translation
      Thanks Remus-Gabriel Chelu (Closes: #1101736)

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 30 Apr 2025 14:10:12 +0200

nodm (0.13-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install system units into /usr. (Closes: #1073647)

  [ Enrico Zini ]
  * Removed myself from uploaders

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 00:24:26 +0200

nodm (0.13-6) unstable; urgency=medium

  * debian/changelog:
    + Drop "Non-maintainer upload" line from prev changelog stanza. It was
      a maintainer upload.
  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:13:36 +0200

nodm (0.13-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Don't restart nodm, fixing regressions from the move to
    debhelper compat level 12 (Closes: #853016)
  * d/control: Add missing ${misc:Pre-Depends} needed in compat level 12
  * postinst: Create reboot-required flag file to notify apt frontends
    that the user should reboot when convenient

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 22:18:29 +0100

nodm (0.13-4) unstable; urgency=medium

  * debian/po:
    + Update Danish debconf translation. Thanks to Joe Dalton. (Closes:
      #923126).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Mar 2019 09:38:38 +0100

nodm (0.13-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Helge Kreutzmann ]
  * Fix bug closure in previous changelog entry for the Portuguese translation.
  * Update German translation. Thanks to Helge Kreutzmann. (Closes: #906170).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/{control,compat}:
    + Drop compat file.
    + Use debhelper-compat notation in control file.
    + Bump DH compat level to version 12.
  * debian/copyright:
    + Fix copyright attributions of files in debian/.
  * debian/po:
    + Check Portuguese translation file and it seems up-to-date.
      (Closes: #872178).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Jan 2019 23:07:13 +0100

nodm (0.13-2) unstable; urgency=medium

  * debian/control:
    + Use myself in Maintainer: field for now, until someone else steps up.
      The former pkg-fso-maint team is discontinued with the closure of
      Alioth. (Closes: #899618).
    + Update Vcs-*: URLs. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
  * debian/po:
    + Update Dutch translation. Thanks to Frans Spiesschaert. (Closes: #855473).
    + Update French translation. Thanks to Alban Vidal. (Closes: #865990).
    + Update Portuguese translation. Thanks to the Portuguese Translation
      team. (Closes: #872178).
    + Update Portuguese (BR) translation. Thanks to Adriano Rafael Gomes.
      (Closes: #898461).
  * debian/nodm.{prerm,postinst}:
    + Fully tab'ify scripts.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Jul 2018 08:33:19 +0200

nodm (0.13-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * d/p/nodm.service-Don-t-respawn-or-fail-if-disabled-in-et.patch:
    Don't mark nodm as failed, or restart it, if it was disabled via
    /etc/default/nodm. Thanks to Ansgar Burchardt for suggesting
    the solution used here. (Closes: #861771)
  * d/nodm.postinst: Write a message to stderr, not stdout.
    Writing to stdout could be misinterpreted by debconf.
    Thanks to Ilias Tsitsimpis. (Closes: #861899)
  * d/nodm.init: Don't require xinit. nodm no longer uses the NODM_XINIT
    variable, except for the obsolete check in this script.
    (Closes: #861717 and maybe #770219)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 May 2017 22:40:40 +0100

nodm (0.13-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * nodm.init: Do not fail to start if plymouth has already been
    stopped

 -- Simon McVittie <smcv@debian.org>  Tue, 02 May 2017 21:57:24 +0100

nodm (0.13-1.1) unstable; urgency=medium

  * d/p/nodm.service-Ask-Plymouth-to-stop-before-starting-no.patch:
    Order nodm.service after plymouth-quit.service
    (Closes: #860463 for systemd systems)
  * d/nodm.init: Ask Plymouth to stop before starting nodm
    (Closes: #860463 for non-systemd systems)
  * d/p/nodm.service-Use-KillMode-mixed-with-10-second-timeo.patch:
    Kill main process with SIGTERM, then kill the whole service with
    SIGKILL if it is still up after 10 seconds. This approximates the
    behaviour of the LSB init script under systemd, and prevents a
    90 second hang during shutdown under some circumstances.
  * Remove myself from Uploaders. I do not intend to take long-term
    responsibility for this package.

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Apr 2017 18:37:16 +0100

nodm (0.13-1) unstable; urgency=medium

  * New upstream release.
  * Properly separate nodm upstream from nodm Debian downstream.
    Upstream Git stays on Github (spanezz/nodm), downstream Git
    "stays" on Alioth (pkg-fso/nodm). (Closes: #830150).

  [ Mike Gabriel ]
  * debian/changelog:
    + Add post-upload closure for #638601. Bug has been closed manually
      meanwhile (on Thu 24th Mar 2016).
    + Add 0.12-1.1 post-upload closures for #703336, #694018 and #579215.
      (Closes: #703336, #694018, #579215). The nodm package now supports
      x-display-manager based choosing of default display manager on
      package installation.
  * debian/po:
    + Explain about how the NODM_X_OPTIONS env var has to be populated.
    + Update .po files and template.pot.

