=== debian/control ===
Source: nodm
Section: misc
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 autoconf,
 automake,
 help2man,
 libpam0g-dev,
 libx11-dev,
 pkg-config,
 po-debconf,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/nodm.git
Vcs-Browser: https://salsa.debian.org/debian/nodm/
Homepage: https://github.com/spanezz/nodm/

Package: nodm
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 x11-common,
 xserver-xorg-core,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 zhone-session,
Provides:
 x-display-manager,
Description: automatic display manager
 This package prepares the system to automatically start an X session at
 system boot. It is meant for devices like smartphones, but can be used on
 a regular computer as well, if the security implications are acceptable.
