=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,19 @@
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS)
 
+override_dh_auto_install:
+	dh_auto_install -- systemdsystemunitdir=/usr/lib/systemd/system
+	echo "# Debian-specific change until all display managers participate in /etc/X11/default-display-manager" >> debian/nodm/usr/lib/systemd/system/nodm.service
+	echo "ExecStartPre=/bin/sh -c '[ \"\$$(cat /etc/X11/default-display-manager 2>/dev/null)\" = \"/usr/sbin/nodm\" ]'" >> debian/nodm/usr/lib/systemd/system/nodm.service
+
 override_dh_auto_test:
 	#make check
 
 override_dh_installinit:
-	dh_installinit -r -- defaults
+	dh_installinit -r --no-restart-after-upgrade -- defaults
+
+override_dh_installsystemd:
+	dh_installsystemd -r --no-restart-after-upgrade
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
